Bug 474546 - Valgrind default suppression file is out of date
Valgrind default suppression file is out of date
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 07:12 EST by Chris January
Modified: 2009-12-18 02:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:08:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to Valgrind's default.supp (8.62 KB, patch)
2008-12-04 07:12 EST, Chris January
no flags Details | Diff

  None (edit)
Description Chris January 2008-12-04 07:12:56 EST
Created attachment 325668 [details]
Patch to Valgrind's default.supp

The default Valgrind suppression file shipped with Fedora 10 contains references to libraries that don't ship with Fedora 10. This stops the suppressions from applying so bogus memcheck errors are reported which should have been suppressed.

Specifically:
1. The X11 suppressions refer to /usr/X11R6/lib* and /usr/X11*/lib* but the XOrg libraries are now installed in /usr/lib*.
2. The two libxcb suppressions reference glibc 2.6 but Fedora 10 ships with glibc 2.9.
3. The IceFlush error has an extra entry in the stack back trace that is not present in the suppression.

I've attached a patch that fixes these.
Comment 1 Bug Zapper 2009-11-18 07:40:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:08:55 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.